| Flutter Linux Embedder |

Public Attributes | List of all members
FlPlatformChannelVTable Struct Reference

`#include <fl_platform_channel.h>`

## Public Attributes
FlMethodResponse *(* | clipboard_set_data )(FlMethodCall *method_call, const gchar *text, gpointer user_data)
FlMethodResponse *(* | clipboard_get_data )(FlMethodCall *method_call, const gchar *format, gpointer user_data)
FlMethodResponse *(* | clipboard_has_strings )(FlMethodCall *method_call, gpointer user_data)
FlMethodResponse *(* | system_exit_application )(FlMethodCall *method_call, FlPlatformChannelExitType type, gpointer user_data)
void(* | system_initialization_complete )(gpointer user_data)
void(* | system_sound_play )(const gchar *type, gpointer user_data)
void(* | system_navigator_pop )(gpointer user_data)

## Detailed Description

FlPlatformChannel:

#FlPlatformChannel is a channel that implements the shell side of SystemChannels.platform from the Flutter services library.

Definition at line 36 of file fl_platform_channel.h.

## Member Data Documentation

## ◆ clipboard_get_data

FlMethodResponse*(* FlPlatformChannelVTable::clipboard_get_data) (FlMethodCall *method_call, const gchar *format, gpointer user_data)

Definition at line 40 of file fl_platform_channel.h.

## ◆ clipboard_has_strings

FlMethodResponse*(* FlPlatformChannelVTable::clipboard_has_strings) (FlMethodCall *method_call, gpointer user_data)

Definition at line 43 of file fl_platform_channel.h.

## ◆ clipboard_set_data

FlMethodResponse*(* FlPlatformChannelVTable::clipboard_set_data) (FlMethodCall *method_call, const gchar *text, gpointer user_data)

Definition at line 37 of file fl_platform_channel.h.

## ◆ system_exit_application

FlMethodResponse*(* FlPlatformChannelVTable::system_exit_application) (FlMethodCall *method_call, FlPlatformChannelExitType type, gpointer user_data)

Definition at line 45 of file fl_platform_channel.h.

## ◆ system_initialization_complete

void(* FlPlatformChannelVTable::system_initialization_complete) (gpointer user_data)

Definition at line 48 of file fl_platform_channel.h.

## ◆ system_navigator_pop

void(* FlPlatformChannelVTable::system_navigator_pop) (gpointer user_data)

Definition at line 50 of file fl_platform_channel.h.

## ◆ system_sound_play

void(* FlPlatformChannelVTable::system_sound_play) (const gchar *type, gpointer user_data)

Definition at line 49 of file fl_platform_channel.h.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_platform_channel.h